python-aiml - Artificial Intelligence Markup Language interpreter for Python

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-aiml
Package version: 0.8.6
Package release: 2
Package architecture: all
Package type: deb
Installed size: 165 B
Download size: 33.39 KB
Official Mirror:
PyAIML is an interpreter for AIML, the Artificial Intelligence Markup Language, implemented as a 100% pure standard Python package. The package is fully compliant with the AIML 1.0.1 standard: no less, but also no more. PyAIML's focus is (and will remain) bare-bones AIML interpreting. That means no support for obscure communication protocols, no advanced non-standard features, and no user interface to speak of.



  • python2.7-aiml


    Source package: python-aiml

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-aiml deb package:
      # sudo apt-get install python-aiml


    • /usr/lib/python2.7/dist-packages/PyAIML-0.8.6.egg-info
    • /usr/lib/python2.7/dist-packages/aiml/
    • /usr/lib/python2.7/dist-packages/aiml/
    • /usr/lib/python2.7/dist-packages/aiml/
    • /usr/lib/python2.7/dist-packages/aiml/
    • /usr/lib/python2.7/dist-packages/aiml/
    • /usr/lib/python2.7/dist-packages/aiml/
    • /usr/lib/python2.7/dist-packages/aiml/
    • /usr/share/doc/python-aiml/changelog.Debian.gz
    • /usr/share/doc/python-aiml/copyright
    • /usr/share/pyshared/aiml/CHANGES.txt
    • /usr/share/pyshared/aiml/README.txt
    • /usr/share/pyshared/aiml/SUPPORTED_TAGS.txt
    • /usr/share/pyshared/aiml/TODO.txt
    • /usr/share/pyshared/aiml/self-test.aiml


    2012-03-15 - Jonas Smedegaard <> python-aiml (0.8.6-2) unstable; urgency=low [ Luke Faraone ] * Set architecture to "all" (we do not ship arch-dep files). Closes: #628740. Thanks to Jakub Wilk. * Strip leading article from short description. [ Jonas Smedegaard ] * Fix watch file to use correct URL. * Add myself as uploader. * Bump standards-version to 3.9.3. * Add Vcs-* fields for git maintenance at Alioth. * Use install helper python2 (not python-support). * Fix unapply patch in git. * Update copyright file: Rewrite using format 1.0. * Refresh patch 1000 with shortening quilt options -pab --no-index --no-timestamps. * Update package relations: + Tighten build-dependency on cdbs: Needed for python2 helper. + Relax build-depend unversioned on debhelper and devscripts (needed versions satisfied even in oldstable).

    2010-08-17 - Luke Faraone <> python-aiml (0.8.6-1) unstable; urgency=low * Initial release. (Closes: #592923)